Bug 81925 - Provide easy navigation to variable class types
Provide easy navigation to variable class types
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P3 (vote)
: 7.4
Assigned To: Martin Entlicher
issues@debugger
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-04 11:25 UTC by Martin Entlicher
Modified: 2013-05-15 13:08 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2006-08-04 11:25:37 UTC
When the user needs to navigate to the source class representing the runtime
type of a variable or field, there is no other way then remember the name from
the tooltip (or select it from the type column in Local Variables window) and
use the "Go To Class" feature to find the source. This is not really
straightforward, and requires extra searching if the class is an inner class or
if there are more classes of the same name in the system.
Some better support from the debugger in this area is desired...
Comment 1 Martin Entlicher 2006-08-04 11:30:30 UTC
It'd be handy if the Type column have some "Go To Source" action.
Comment 2 _ sandipchitale 2007-12-14 21:41:02 UTC
http://plugins.netbeans.org/PluginPortal/faces/PluginDetailPage.jsp?pluginid=2756

supports:

Go to Type (Runtime)
Go to Declared Type
Comment 3 Martin Entlicher 2013-04-26 19:48:39 UTC
Implemented by changeset:   252047:db80890d0b89
On Fields "Go to Source" was renamed to "Go to Declaration" to prevent from confusion. On variables representing an object, "Go to Type Source" action is added.
Comment 4 Martin Entlicher 2013-04-26 19:48:56 UTC
http://hg.netbeans.org/core-main/rev/db80890d0b89
Comment 5 Quality Engineering 2013-04-28 02:19:27 UTC
Integrated into 'main-golden', will be available in build *201304272301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/db80890d0b89
User: mentlicher@netbeans.org
Log: #81925: Provide a navigation to class types. The original Go to Source renamed to Go to Declaration to prevent from confusion.
Comment 6 Jiri Kovalsky 2013-05-15 13:08:52 UTC
Product Version: NetBeans IDE Dev (Build 201305142300)
Java: 1.7.0_21; Java HotSpot(TM) 64-Bit Server VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.0.0-12-generic running on amd64; UTF-8; cs_CZ (nb)
User directory: /home/cesilko/.netbeans/dev
Cache directory: /home/cesilko/.cache/netbeans/dev


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo